CamelPOP3Folder
3
CAMEL Library

# CamelPOP3Folder

## Synopsis

                        CamelPOP3Folder;
                        CamelPOP3FolderInfo;
    CamelFolder*        camel_pop3_folder_new               (CamelStore *parent,
                                                             CamelException *ex);
    int                 camel_pop3_delete_old               (CamelFolder *folder,
                                                             int days_to_delete,
                                                             CamelException *ex);

## Description

## Details

### CamelPOP3Folder

    typedef struct {
    	CamelFolder parent_object;

    	GPtrArray *uids;
    	GHashTable *uids_uid;	/* messageinfo by uid */
    	GHashTable *uids_id;	/* messageinfo by id */
    } CamelPOP3Folder;

### CamelPOP3FolderInfo

    typedef struct {
    	guint32 id;
    	guint32 size;
    	guint32 flags;
    	guint32 index;		/* index of request */
    	char *uid;
    	int err;
    	struct _CamelPOP3Command *cmd;
    	struct _CamelStream *stream;
    } CamelPOP3FolderInfo;

### camel_pop3_folder_new ()

    CamelFolder*        camel_pop3_folder_new               (CamelStore *parent,
                                                             CamelException *ex);

`parent` :

`ex` :

Returns :

### camel_pop3_delete_old ()

    int                 camel_pop3_delete_old               (CamelFolder *folder,
                                                             int days_to_delete,
                                                             CamelException *ex);

`folder` :

`days_to_delete` :

`ex` :

Returns :